Kerbal Space Program - Bug #4886

Service Bay instability
05/02/2015 01:06 AM - jgzman

Status: Closed Start date: 05/02/2015
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.0.1 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Please note that | am using version 1.0.2.842 - the drop down wouldn't let me select that.
| am also using Kerbal Engineer Redux, version 1.0.16.5. No other mods.
| am playing in Science mode.

When | place two items in a service bay, of the same diameter as the service bay, under certain circumstances, they violently
separate upon loading into the launch pad. | have run several tests, mostly with the 2.5 meter service bay, and the 2.5 meter battery.
| did a few spot checks with the smaller bay, and the 2.5 meter torque wheel, and they all followed the same pattern.

The following configurations appear to be OK:

e A single battery in the service bay

e Two batteries, one attached top, one attached bottom

e Two batteries in a 2.5 bay, one of then 2.5, one 1.5, stacked one on the other

Two 1.5 batteries in a 2.5 bay, stacked one on the other

Two 2.5 batteries and 3 1.5 batteries in a 2.5 bay, arranged large batteries top and bottom, with the smaller batteries connecting
- see attached image for visual representation of stable arrangement

The following configurations are unstable:

e two 2.5 batteries in a 2.5 bay, stacked one on the other
¢ three batteries in a 2.5 bay, stacked in order, 2.5, 1.5, 2.5 - see attached image for visual representation of arrangement, and
failure mode

History

#1 - 05/13/2015 05:17 AM - orcaman98
Bug #4963 is likely related.

#2 - 05/17/2015 12:59 PM - BloodyRain2k

I had this issue once with a rocket where | had two service bays stacked on top of each other and the rocket was extremely jittering on the pad but |
didn't put parts into it that were wider than it.

In my case it might have more been parts from one bay partially clipping into the other as | crammed a bit much inside there, the earliest radial
batteries, an early octa core in the upper and some goos and other experiments in the lower one.

Interestingly enough did the jittering stop temporarly after opening it. After that it only kept jittering while it was closing or opening, but it was fine while
being closed or opened.

| don't know if | still have a craft file for this one but | might still have one drifting around in my save.

#3 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#4 - 07/17/2016 09:33 AM - TriggerAu
https://bugs.kerbalspaceprogram.com/issues/4963

- Status changed from New to Needs Clarification

#5 - 08/09/2016 01:38 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
